AsterNet Class Library (Sandcastle documentation)

| RecordFileCommand Constructor (String, String, String, Int32, Int32, Boolean, Int32)

Creates a new RecordFileCommand.

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public RecordFileCommand(
    	string file,
    	string format,
    	string escapeDigits,
    	int timeout,
    	int offset,
    	bool beep,
    	int maxSilence
    )

    Public Sub New (
    	file As String,
    	format As String,
    	escapeDigits As String,
    	timeout As Integer,
    	offset As Integer,
    	beep As Boolean,
    	maxSilence As Integer
    )

    public:
    RecordFileCommand(
    	String^ file,
    	String^ format,
    	String^ escapeDigits,
    	int timeout,
    	int offset,
    	bool beep,
    	int maxSilence
    )

    new :
            file : string *
            format : string *
            escapeDigits : string *
            timeout : int *
            offset : int *
            beep : bool *
            maxSilence : int -> RecordFileCommand

#### Parameters

file
  Type: System
  String
  the name of the file to stream, must not include extension.
format
  Type: System
  String
  the format of the file to be recorded, for example "wav".
escapeDigits
  Type: System
  String
  contains the digits that allow the user to end recording.
timeout
  Type: System
  Int32
  the maximum record time in milliseconds, or -1 for no timeout.
offset
  Type: System
  Int32
  the offset samples to skip.
beep
  Type: System
  Boolean
  true if a beep should be played before recording.
maxSilence
  Type: System
  Int32
  The amount of silence (in seconds) to allow before returning despite the lack of dtmf digits or reaching timeout.

See Also

#### Reference

RecordFileCommand Class
RecordFileCommand Overload
AsterNET.FastAGI.Command Namespace